当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 8 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 解决:无法在字符界面下安装nvidia显卡驱动
帖子发表于 : 2008-05-11 13:45 

注册: 2008-05-09 15:15
帖子: 22
地址: UPC
送出感谢: 0 次
接收感谢: 0 次
我的同学装了Ubuntu 8.04,系统的分辨率只能在800*600和 640*480中选择。想象这是不是没有驱动阿。主板的芯片组是 NV7050的集成显卡。下载完驱动安装时,提示不能在x-Server中安装。但无论采用init 3 还是 crtl+alt+backspace都不能安装显卡驱动。总是提示说不能在x-Server下安装。请问我该怎么办呢?怎么处理了?
代码:
更新--
谢谢各位的帮助,这里我采用了如下的方法,已经将问题解决了:
1、选择系统-》系统管理-》更新管理器。对系统进行更新。直到更新到最新为止。然后,就可以在系统-》系统管理-》硬件驱动中,看到系统已经识别了显卡了。选择启用首先设备。此时系统就弹出 更新对话框, 系统自动从网上下载对应的驱动进行安装。安装完毕,重启就可以了。
   所以解决显卡问题的方法如下:
   首先,进入硬件驱动看看系统能不能识别显卡。一般的,如果识别了。就会显示显示显卡的具体信息,而如果不识别,就会显示显卡是新的。如我们的这快显卡显示为:nvidia_new.如果识别,那么就启用受限设备。此时,系统就会自动下载驱动,并安装之。如果不能识别,那么就更新系统,使系统能够识别我们的显卡。然后在在硬件管理中启用受限设备。前提是系统显示了显卡的具体的名称。这样的启用才是有效的。


最后由 wangajing 编辑于 2008-05-12 21:32,总共编辑了 1 次

页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-05-11 13:47 
头像

注册: 2005-09-10 16:04
帖子: 3537
地址: DG-GD-China
送出感谢: 0 次
接收感谢: 0 次
system--administration--hardware driver
启用受限驱动


_________________
http://element.blog.ubuntu.org.cn/
Ubuntu Jaunty Jackalope...
AMD Barton 2600+
MSI K7N2 Delta-L
Kingston DDR400 512M*2+256M*1
nVidia FX5200
Seagate 80G(Jaunty Jackalope)
Seagate 160G(XXxxXX)
SyncMaster 732N


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-05-11 14:08 

注册: 2008-05-09 15:15
帖子: 22
地址: UPC
送出感谢: 0 次
接收感谢: 0 次
本来,就已经启动受限设备了。我取消又选择了一下。,系统要求重启,我重启了。启动中,提示无法挂载 硬盘 sda8,说这个位置可能在使用中。这个可能是我的系统安的位置。然后就启动了一个busybox这样的Shell。在里面,无法访问硬盘里的东西。那么我该怎么办,才能恢复到呢?


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-05-11 15:14 
头像

注册: 2005-09-10 16:04
帖子: 3537
地址: DG-GD-China
送出感谢: 0 次
接收感谢: 0 次
busybox,是不是用wubi安装的啊
这个我就不清楚了哦


_________________
http://element.blog.ubuntu.org.cn/
Ubuntu Jaunty Jackalope...
AMD Barton 2600+
MSI K7N2 Delta-L
Kingston DDR400 512M*2+256M*1
nVidia FX5200
Seagate 80G(Jaunty Jackalope)
Seagate 160G(XXxxXX)
SyncMaster 732N


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 求救:无法在字符界面下安装nvidia显卡驱动
帖子发表于 : 2008-05-11 19:19 

注册: 2007-06-06 18:36
帖子: 307
送出感谢: 0 次
接收感谢: 0 次
wangajing 写道:
我的同学装了Ubuntu 8.04,系统的分辨率只能在800*600和 640*480中选择。想象这是不是没有驱动阿。主板的芯片组是 NV7050的集成显卡。下载完驱动安装时,提示不能在x-Server中安装。但无论采用init 3 还是 crtl+alt+backspace都不能安装显卡驱动。总是提示说不能在x-Server下安装。请问我该怎么办呢?怎么处理了?


ctrl-alt-F1,登录后,sudo /etc/init.d/gdm stop,然后安装驱动


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-05-11 20:46 
论坛管理员

注册: 2005-03-27 0:06
帖子: 10116
系统: Ubuntu 12.04
送出感谢: 7
接收感谢: 128
这个情况多半和显示器无法识别有关?在X配置中加入显示器参数试试。


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-05-11 21:05 
头像

注册: 2007-05-06 2:01
帖子: 889
地址: 特麓村->浦北->五山->罗湖
送出感谢: 2
接收感谢: 0 次
1. 备份xorg.conf , sudo cp /etc/X11/xorg.conf /etc/X11/xorg.conf.bk
确认已经安装lib6-dev, 没安装的就 sudo apt-get install libc6-dev
2. 删除旧有的文件
sudo apt-get remove --purge nvidia-glx nvidia-glx-new
再来删除 /lib/linux-restricted-modules/ 下面的内容, 里面有个.nvidia-new-installer系隐藏文件,都要删掉
禁用其他限制驱动
sudo gedit /etc/default/linux-restricted-modules-common
找到 DISABLED_MODULES="" 改为:DISABLED_MODULES="nv nvidia_new"
3. ctrl + alt + F2,其他控制台也可以。首先,禁用 X win, 就是停用gdm; 命令 sudo /etc/init.d/gdm stop
cd 到你下载的驱动 NVIDIA 169.04 Beta for Linux 的路径(比如我的是桌面 ~/Desktop),然后执行 sudo sh NVIDIA-Linux-x86-169.04-pkg1.run
会看到安装界面提示,用方向键移动到ok,在按Enter就可以,接着会告诉你要到nvidia的网站下载 Kernel Interface。ok就可以了,我的没有下载到,系统问要不要编译,选择ok就可以,编译完后一切ok。
回到黑色的命令行。
4. 重启X win, sudo /etc/init.d/gdm start
这时会闪一下跳到登录窗,就全部成功了。~_~
在系统菜单Applications>>System tools 就看到 Nvidia X server Settings.


_________________
Ubuntu 9.04 & Win Xp
------------------------------------------------------
Company: http://www.mazingtech.com
HomePage: http://www.arsui.com


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-05-12 21:31 

注册: 2008-05-09 15:15
帖子: 22
地址: UPC
送出感谢: 0 次
接收感谢: 0 次
谢谢各位的帮助,这里我采用了如下的方法,已经将问题解决了:
1、选择系统-》系统管理-》更新管理器。对系统进行更新。直到更新到最新为止。然后,就可以在系统-》系统管理-》硬件驱动中,看到系统已经识别了显卡了。选择启用首先设备。此时系统就弹出 更新对话框, 系统自动从网上下载对应的驱动进行安装。安装完毕,重启就可以了。
所以解决显卡问题的方法如下:
首先,进入硬件驱动看看系统能不能识别显卡。一般的,如果识别了。就会显示显示显卡的具体信息,而如果不识别,就会显示显卡是新的。如我们的这快显卡显示为:nvidia_new.如果识别,那么就启用受限设备。此时,系统就会自动下载驱动,并安装之。如果不能识别,那么就更新系统,使系统能够识别我们的显卡。然后在在硬件管理中启用受限设备。前提是系统显示了显卡的具体的名称。这样的启用才是有效的。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 8 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Google [Bot] 和 5 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译